package com.ruoyi.oa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.oa.mapper.CmcBorrowMapper;
import com.ruoyi.oa.domain.CmcBorrow;
import com.ruoyi.oa.service.ICmcBorrowService;

/**
 * cmc借款申请Service业务层处理
 * 
 * @author cmc
 * @date 2024-04-07
 */
@Service
public class CmcBorrowServiceImpl implements ICmcBorrowService 
{
    @Autowired
    private CmcBorrowMapper cmcBorrowMapper;

    /**
     * 查询cmc借款申请
     * 
     * @param borrowId cmc借款申请主键
     * @return cmc借款申请
     */
    @Override
    public CmcBorrow selectCmcBorrowByBorrowId(String borrowId)
    {
        return cmcBorrowMapper.selectCmcBorrowByBorrowId(borrowId);
    }

    /**
     * 查询cmc借款申请列表
     * 
     * @param cmcBorrow cmc借款申请
     * @return cmc借款申请
     */
    @Override
    public List<CmcBorrow> selectCmcBorrowList(CmcBorrow cmcBorrow)
    {
        return cmcBorrowMapper.selectCmcBorrowList(cmcBorrow);
    }

    /**
     * 新增cmc借款申请
     * 
     * @param cmcBorrow cmc借款申请
     * @return 结果
     */
    @Override
    public int insertCmcBorrow(CmcBorrow cmcBorrow)
    {
        return cmcBorrowMapper.insertCmcBorrow(cmcBorrow);
    }

    /**
     * 修改cmc借款申请
     * 
     * @param cmcBorrow cmc借款申请
     * @return 结果
     */
    @Override
    public int updateCmcBorrow(CmcBorrow cmcBorrow)
    {
        return cmcBorrowMapper.updateCmcBorrow(cmcBorrow);
    }

    /**
     * 批量删除cmc借款申请
     * 
     * @param borrowIds 需要删除的cmc借款申请主键
     * @return 结果
     */
    @Override
    public int deleteCmcBorrowByBorrowIds(String[] borrowIds)
    {
        return cmcBorrowMapper.deleteCmcBorrowByBorrowIds(borrowIds);
    }

    /**
     * 删除cmc借款申请信息
     * 
     * @param borrowId cmc借款申请主键
     * @return 结果
     */
    @Override
    public int deleteCmcBorrowByBorrowId(String borrowId)
    {
        return cmcBorrowMapper.deleteCmcBorrowByBorrowId(borrowId);
    }
}
